package com.kbstar.eai.flowcontrol.action;

import com.eactive.eai.flowcontrol.action.RouteActionException;
import com.eactive.eai.flowcontrol.action.RouteActionSupport;

public class SYBRouteAction extends RouteActionSupport  {
	
	public String[] getRouteKeys(byte[] message) throws Exception {
		// 앞의 6자리만 잘라서 사용 : 2009.03.18 정길영과장 요청
		String[] keys = new String[1];
		int keyIndex = 0;
		try {
			keys[0] = strncpy(message, 0, 6);			
		} catch(Exception e) {
			throw new RouteActionException(this.getClass().getName() +" Error Extract Key("+keyIndex+"): " +e.getMessage());
		}
        return keys;        
	}
	
	public String getDescription() {
		return "키추출방식 : 전문 [0,6]";
	}
}
